#language: ru

@milk_reception

Функционал: 01_milk_reception.01.012 Заполнение справочника Сорта

Сценарий: 01_milk_reception.01.012 Создание 1 сорта
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Сорта'
	Тогда открылось окно 'Сорта'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Сорта (создание)'
	И в поле 'Наименование' я ввожу текст '1 сорт'
	И в поле 'Приоритет' я ввожу текст '1'
	И в поле 'Коэффициент в расчете стоимости' я ввожу текст '1,200'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'Плотность молока'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' |
		| '1' | 'МДБ'        |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '3,000'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '100'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' |
		| '2' | 'МДЖ'        |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '3,400'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '100'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' 		|
		| '3' | 'Плотность молока'      |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '1027'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '1028'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сорта (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сорта'
	И Я закрываю окно 'Сорта'

Сценарий: 01_milk_reception.01.012 Создание 2 сорта
	И В командном интерфейсе я выбираю 'Производство' 'Сорта'
	Тогда открылось окно 'Сорта'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Сорта (создание)'
	И в поле 'Наименование' я ввожу текст '2 сорт'
	И в поле 'Приоритет' я ввожу текст '2'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я нажимаю на кнопку 'Добавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'Плотность молока'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сорта (создание) *'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' |
		| '1' | 'МДБ'        |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '2,900'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '100'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' |
		| '2' | 'МДЖ'        |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '3,200'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '100'
	И в таблице "Показатели" я перехожу к строке:
		| 'N' | 'Показатель' 		|
		| '3' | 'Плотность молока'      |
	И в таблице "Показатели" в поле "Значение" я ввожу текст '1026'
	И в таблице "Показатели" в поле "Значение доп." я ввожу текст '1028'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сорта (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сорта'
	И Я закрываю окно 'Сорта'
	И Я закрыл все окна клиентского приложения